Top campaigns
curl --request GET \
--url https://api.ofauth.com/v2/access/analytics/campaigns/top \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'import requests
url = "https://api.ofauth.com/v2/access/analytics/campaigns/top"
headers = {
"apiKey": "<api-key>",
"x-connection-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>', 'x-connection-id': '<api-key>'}};
fetch('https://api.ofauth.com/v2/access/analytics/campaigns/top', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"list": [
{
"id": 123,
"countSubscribers": 123,
"countTransitions": 123,
"campaignCode": 123,
"campaignName": "<string>",
"createdAt": "<string>",
"endDate": "<string>"
}
]
}Promotions & Campaigns
Top campaigns
deprecated
Get top performing campaigns
Permission Required: analytics:read
GET
/
v2
/
access
/
analytics
/
campaigns
/
top
Top campaigns
Authorizations
Requires a connection via the x-connection-id header.
Query Parameters
Number of items to return (1-100, default: 20)
Required range:
1 <= x <= 100Number of items to skip (default: 0)
Required range:
x >= 0Start of date range (ISO 8601)
End of date range (ISO 8601)
Was this page helpful?
⌘I